﻿#region Sub-Lesson 2.1 Code Snippets
#Returns how to use Get-Help
Get-Help

#Returns all Help Files
Get-Help *

#Returns help for specified cmdlet or help topic
Get-Help Get-Command

#Performs wildcard search for cmdlets and help topics ending with Command
Get-Help *Command

#Returns all Help topics, but not cmdlet help
Get-Help -Category HelpFile

#endregion

#region Sub-Lesson 2.2 Code Snippets

#Returns help file for specified cmdlet
Get-Help Get-Command

#Returns examples on how to use specified cmdlet
Get-Help Get-Command -Examples

#Returns help topics that contain the word command
Get-Help *command* -Category HelpFile

#Returns the specified help topic
Get-Help about_Command_Syntax

#endregion

#region Sub-Lesson 2.3 Code Snippets

#Updates help documentation on local computer
Update-Help

#Saves help topics to specified directory - Used with Offline Help Updates for another machine
Save-Help -DestinationPath C:\SavedHelp

#Updates help from specified directory - Used with Offline Help Updates
Update-Help -SourcePath \\DC1\SavedHelp

#endregion

#region Sub-Lesson 2.4 Code Snippets

#Returns all commands available to you
Get-Command

#Returns all commands that have already been imported to the current session
Get-Command -ListImported

#Returns all of the commands with Get in the verb
Get-Command -Verb Get

#Returns all of the commands with EventLog in the noun
Get-Command -Noun EventLog

#Returns all of the commands with a parameter named ComputerName
Get-Command -ParameterName ComputerName

#Returns all of the commands in the ServerManager Module
Get-Command -Module ServerManager

#endregion

#region Sub-Lesson 2.5 Code Snippets
#Opens a GUI that can be used to understand how to build a Cmdlet
Show-Command
#endregion