﻿#region Sub-Lesson 3.2 Code Snippets

#Shows all available PS Providers
Get-PSProvider

#Shows all available PS Drives
Get-PSDrive

#Creates a new temporary PS Drive
New-PSDrive -Name S -PSProvider FileSystem -Root \\DC1\SavedHelp

#Creates new Persistent PS Drive
New-PSDrive -Name P -PSProvider FileSystem -Root \\DC1\PoSh -Persist

#endregion

#region Sub-Lesson 3.3 Code Snippets

Get-Location

Set-Location -Path C:\PoSh

New-Item -Name NewFile.txt -ItemType File -Value "Test File Content"

Get-Content -Path .\NewFile.txt

Add-Content -Path .\NewFile.txt -Value " just a bit more..."

Rename-Item -Path .\NewFile.txt -NewName NewName.txt

Get-ChildItem 

Set-Content -Path .\NewName.txt -Value "Some new content"

Remove-Item .\NewName.txt -WhatIf

Remove-Item .\NewName.txt

New-ItemProperty -Path HKLM:\SOFTWARE\Microsoft\Test -Name TestString -Value "This is a test" -PropertyType String

Get-ItemProperty -Path HKLM:\SOFTWARE\Microsoft\Test

#endregion

#region Sub-Lesson 3.4 Code Snippets

Get-Service

Stop-Service -Name WinRM

Start-Service -Name WinRM

Restart-Service -Name WinRM

New-Service -Name TestService -BinaryPathName "C:\Windows\system32\notepad.exe"

Set-Service -Name TestService -DisplayName "Test Service for Demonstration" -Description "This is a test service"

#endregion

#region Sub-Lesson 3.5 Code Snippets

#Starts specified application
Start-Process -FilePath C:\Windows\System32\notepad.exe

#Returns list of all running processes
Get-Process

#Terminates specified process
Stop-Process -Name notepad

#Will place console on hold until application closes
Wait-Process -Name notepad

#endregion

#region Sub-Lesson 3.6 Code Snippets

#Returns all logs in the specified LogName
Get-EventLog -LogName Application

#Returns the last 10 logs in specified log name
Get-EventLog -LogName Application -Newest 10

#Returns the last 10 logs of type Error in the specified log name
Get-EventLog -LogName Application -Newest 10 -EntryType Error

#Returns the logs that have occured since specified date that are of type error from specified log
Get-EventLog -LogName Application -EntryType Error -After 7/20/2014

#Creates a new Event Log
New-EventLog -Source Test -LogName TestLog -MessageResourceFile C:\PoSh\Test.dll

#Writes an error message to specified event log
Write-EventLog -LogName TestLog -Source Test -EventId 8008 -EntryType Error -Message "This is a test error message"

#Opens EventViewer
Show-EventLog

#Clears all logs from specified event log
Clear-EventLog -LogName TestLog

#Deletes specified event log
Remove-EventLog -LogName TestLog

#endregion

#region Sub-Lesson 3.7 Code Snippets

#Returns all Physical Disk in computer
Get-PhysicalDisk

#Use below two lines to add a physical disk to an existing Storage Pool
$Disks = Get-PhysicalDisk -CanPool $True
Add-PhysicalDisk -StoragePoolFriendlyName "Demo Pool" -PhysicalDisks $disks

#Rename a Friendly Name of a Physical Disk
Set-PhysicalDisk -FriendlyName PhysicalDisk1 -NewFriendlyName PhysicalDiskSATAPort0

#endregion

#region Sub-Lesson 3.8 Code Snippets

#Returns all volumes on computer
Get-Volume

#Creates a new volume off of specified Storage Pool
New-Volume -StoragePoolFriendlyName "Demo Pool" -FriendlyName "Data" -Size 5GB -ResiliencySettingName "Mirror" -FileSystem NTFS -AccessPath "E:" -ProvisioningType Fixed

#Renames a volume
Set-Volume -FileSystemLabel Data -NewFileSystemLabel "Pool Data"

#Scan for errors on specified volume
Repair-Volume -DriveLetter E -Scan

#Perform a defrag analyze on specified volume
Optimize-Volume -DriveLetter E -Analyze -Verbose

#endregion

#region Sub-Lesson 3.9 Code Snippets

#Returns all Windows Features
Get-WindowsFeature

#Installs specified Windows Feature
Install-WindowsFeature -Name Windows-Server-Backup

#Uninstalls specified Windows Feature
Uninstall-WindowsFeature -Name Windows-Server-Backup

#endregion