﻿#region Sub-Lesson 6.5 Code Snippets

#List all WMI Classes in specified namespace
Get-WMIObject –Namespace root\cimv2 -List

#List instances of specified WMI Class
Get-WMIObject –Class Win32_LogicalDisk

#List instances of specified WMI Class that are true based on filter
Get-WmiObject –Class Win32_LogicalDisk –Filter ‘DriveType = 3’

#Use WQL to query WMI
Get-WmiObject –Query “SELECT * FROM Win32_LogicalDisk WHERE DriveType = 3”

#Invoke method on specified WMI Class Instance
Get-WmiObject Win32_LogicalDisk -Filter "DeviceID = 'C:'" | Invoke-WmiMethod -Name Chkdsk  

#Another way to Invoke a WMI Method
Invoke-WmiMethod -Path win32_process -Name create -ArgumentList notepad.exe 

#Yet another way to Invoke a WMI Method
Invoke-WmiMethod -Path "Win32_Service.Name='WinRM'" -Name StopService 

#endregion

#region Sub-Lesson 6.6 Code Snippets

#Lists all Cim Classes
Get-CimClass

#List Cim Classes based on filter
Get-CimClass –ClassName *Process

#Returns instances of specified class
Get-CimInstance –ClassName Win32_Process

#Executes specified method from specified class with specified arguments
Invoke-CimMethod  –ClassName Win32_Process –MethodName "Create" –Arguments @{ CommandLine = "notepad.exe"; CurrentDirectory = "C:\windows\system32" } 

#Returns instances of specified class based on filter
Get-CimInstance –ClassName Win32_Process –Filter “Name = ‘notepad.exe’”

#Another way to execute a Cim Method
Get-CimInstance –ClassName Win32_Process –Filter “Name = ‘notepad.exe’” | Invoke-CimMethod –MethodName Terminate

#Lists all properties of specified class that fit the specified filter
Get-CimInstance Win32_LogicialDisk –Filter “DeviceID = ‘C:’” | Select *

#Returns all Instances that have an association
Get-CimInstance Win32_LogicialDisk –Filter “DeviceID = ‘C:’” | Get-CimAssociatedInstance

#endregion

#region Sub-Lesson 6.7 Code Snippets

#Creates a Cim  Session to a remote computer
New-CimSession –ComputerName Server1

#Shows all current Cim Sessions
Get-CimSession

#Assign all (Currently 1) Cim Sessions to variable
$session = Get-CimSession

#Retrieve instances of specified Cim Class on the remote computer that is specified
Get-CimInstance Win32_ComputerSystem –CimSession $session

#Clean up all Cim Sessions
Get-CimSession | Remove-CimSession

#endregion