﻿#region Sub-Lesson 7.4 Code Snippets

#Show processes on specified remote computer
Get-Process –ComputerName Server1

#Shows processes on specified remote computers
Get-Process –ComputerName localhost, Server1

#Show processes on specified remote computers and identify which computer they are running on
Get-Process –ComputerName localhost, Server1 | Select Name, MachineName

#Create a PowerShell Session
$session = New-PSSession –ComputerName DC1, Server1

#Invoke a command that doesn't support PS Sessions on a remote computer
Invoke-Command –ScriptBlock { Get-Process } –Session $session

#Clean up PS Sessions when you are done
Get-PSSession | Remove-PSSession

#endregion

#region Sub-Lesson 7.5 Code Snippets

#Shows current PS Sessions
Get-PSSession

#Creates a PS Session on specified computer and stores in a variable
$Server1Session = New-PSSession –ComputerName Server1

#Enter the remote specified PS Session
Enter-PSSession –Session $Server1Session

#Exit the PS Session
Exit-PSSession

#Disconnect the PS Session
Disconnect-PSSession –Session $Server1Session

#Removes the PS Session completely
Remove-PSSession –Session $Server1Session

#endregion

#region Sub-Lesson 7.6 Code Snippets

#Create PS Session and assign to dc1 variable
$dc1 = New-PSSession –ComputerName DC1

#Import a specified module from a specified PS Session and add a Prefix to all cmdlets
Import-PSSession –Session $dc1 –Module ActiveDirectory –Prefix DC1

#This is one of the implicit cmdlets available
Get-DC1ADUser –Filter *

#Disconnect the session
Disconnect-PSSession –Session $dc1

#endregion